#ifndef APPLICATION_H
#define APPLICATION_H

/*---- INCLUDE FILES --------------------------------------------------------------------------------------*/
#include "CommonInclude.h"
#include "AppMonitor.h"
#include "FaultManager.h"
#include "MotoHawk_IO.h"

/*---- TYPEDEF --------------------------------------------------------------------------------------------*/

/* Application defined events */
typedef enum {
  STARTUP_EVENT = BASE_APP_EVENT,      /* EnumTxt:"STARTUP_EVENT"  */
  SHUTDOWN_EVENT,                      /* EnumTxt:"SHUTDOWN_EVENT" */
} E_ApplicationEvents;

/*---- CUSTOM HEADER CODE ---------------------------------------------------------------------------------*/
extern uint32_T AppAssertBase_;

/*---- END OF FILE ----------------------------------------------------------------------------------------*/
#endif                                 /* APPLICATION_H */
