/*
 * MotoHawk_IO.h
 *
 */

#ifndef MOTOHAWK_IO_H
#define MOTOHAWK_IO_H
#include "CommonInclude.h"

/* S-Function Block: <S13>/motohawk_ain5 Resource: ECUP */
NativeError_S ECUP_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S ECUP_AnalogInput_Create(void);

/* S-Function Block: <S6>/motohawk_ain Resource: APP */
NativeError_S APP_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S APP_AnalogInput_Create(void);

/* S-Function Block: <S6>/motohawk_ain1 Resource: TPS */
NativeError_S TPS_AnalogInput_Get(uint16_T *adc, uint16_T *status);
NativeError_S TPS_AnalogInput_Create(void);

/* S-Function Block: <S4>/motohawk_pwm Resource: ETC */
void ETC_PWMOutput_Create(void);
void ETC_PWMOutput_Set(uint32_T freq, int16_T duty, boolean_T brake, boolean_T
  enable);
void ETC_PWMOutput_Stop(void);

#endif
