
				@if exist .\rtwtypes.h del /Q /F .\rtwtypes.h > NUL
							@if ERRORLEVEL 1 exit junk
					
				@if "%MOTOCODER_DIR%" NEQ "" goto got_motocoder
					@setlocal
					@set MOTOCODER_DIR=C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\MOTOCO~1
					:got_motocoder
					
				@copy "LinkerDefinition_DEV.xml" "LinkerDefinition.xml" > NUL
							@if ERRORLEVEL 1 exit junk
					@copy "ETC_DEV.ld" "ETC.ld" > NUL
							@if ERRORLEVEL 1 exit junk
					
				
					@echo ### Generating MotoTune DLL
					@if exist .\TDB rmdir /Q /S .\TDB > NUL
							@if ERRORLEVEL 1 exit junk
					@mkdir .\TDB
							@if ERRORLEVEL 1 exit junk
					@copy "%MOTOCODER_DIR%\TDB\*.*" .\TDB > NUL
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\MotoParserXML.exe" /LIB /verbosity=7 /d="C:\Documents and Settings\jtartt\My Documents\MotoTron\MotoHawk\Training\2010_04_06\ETC\ETC_Build" /d="C:\Documents and Settings\All Users\MotoHawk\2010a_beta5_1_32\Toolchains\7_8_0\rtw_lib_single\API" /d="C:\Documents and Settings\All Users\MotoHawk\2010a_beta5_1_32\Toolchains\7_8_0\rtw_lib_single\API\MPC555" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\Framework\MultiTask\API" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\GlobalDefinitions\MotoTron" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\MotoTronProtocol\MultiTarget\API" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\ModuleDefinitions\Motorola" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\MotoTronSpecific\MultiTarget\API" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\FileSystem\smxFFS\API" /d="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\FileSystem\ucFS\API" TDB/ParsedVardecs.xml
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\Transform" -o TDB/ParsedAndCCVardecs.xml TDB/ParsedVardecs.xml "%MOTOCODER_DIR%\Transforms\VarDecs_Merge.xsl" AdditionalVardecsXML="C:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.32\ControlCoreClassic\ControlCoreClassic_Vardecs.xml"
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\Transform" -o TDB/ParsedAndCombinedVardecs.xml TDB/ParsedAndCCVardecs.xml "%MOTOCODER_DIR%\Transforms\VarDecs_Merge.xsl" AdditionalVardecsXML="%cd%\MotoCoderVarDecs.xml"
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\Transform" -o TDB/ETC_009.xml TDB/ParsedAndCombinedVardecs.xml "%MOTOCODER_DIR%\Transforms\VarDecs_Reorder.xsl" application-url="%CD%\ApplicationDescriptor.xml" maxTableSize=65535
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\Transform" TDB/ETC_009.xml "%MOTOCODER_DIR%\Transforms\VarDecs_Transform.xsl" includeFiles="CommonInclude.h,ETC.h,TDB_Includes.h" GenDLL=1 GenTDB=1
							@if ERRORLEVEL 1 exit junk
					@"%MOTOCODER_DIR%\bin\nant\bin\nant.exe" -buildfile:TDB\Database.build -D:required.installdir="C:\Program Files\Woodward\DevelopmentTools\Toolchains\GCC\win32-pe\4_4_0" -D:database.basename=ETC_009 -q -nologo rebuild
							@if ERRORLEVEL 1 exit junk
					@echo ### Completed MotoTune DLL
							@if ERRORLEVEL 1 exit junk
					
				
					@echo ### Compiling and Linking
					@"%MOTOCODER_DIR%\bin\nant\bin\nant.exe" -buildfile:ETC.build -nologo rebuild
							@if ERRORLEVEL 1 exit junk
					
				
					@echo ### Call MotoConvert
					@"%MOTOCODER_DIR%\bin\MotoConvert.exe" -project=MPC5xx -map=.\Target\ETC.map -srec=.\Target\ETC.run -tdbver=1 -tdb=EriRequestTableList -crctable=g_pCRCBlockPtr -InitialisedRAM=.fixed_ramcals,.fixed_romcals -InitialisedRAM=.ramcals,.romcals -InitialisedRAM=.sdata,.romsdata -out=ETC.sr -TransformBetween=0x00400000-0x0041FFFF -TransformBetween=0x00000000-0x0006FFFF -toolchain=GHS -InitialisedRAM=.data,.romdata -encrypt=.\Target\ETC_009.srz
							@if ERRORLEVEL 1 exit junk
					
				
					@echo ### Copy ETC_009.dll and ETC_009.srz
					@if exist C:\ECUFiles\TDBDLL\\*.* copy /Y .\TDB\ETC_009.dll C:\ECUFiles\TDBDLL\ > NUL
							@if ERRORLEVEL 1 exit junk
					@if exist C:\ECUFiles\Programs\*.* copy /Y .\Target\ETC_009.srz C:\ECUFiles\Programs > NUL
							@if ERRORLEVEL 1 exit junk
					
				@"C:\GHS\ppc421\gnm.exe" -nph -output .\Target\ETC.sym .\Target\ETC.elf
							@if ERRORLEVEL 1 exit junk
					
				@"%MOTOCODER_DIR%\bin\ESTconvert.exe" .\Target\ETC.elf -b -c > NUL 2>&1
					
			
			@echo ### Successful Build with MotoCoder
		