function result = ETC_load_cals()

assignin('base', 'ETC_cals', module_calibrations);

function s = module_calibrations()
%%MODULE_CALIBRATIONS -- Retrieved values of MotoHawk calibrations

%%MotoHawk Get Calibrations
%%Usage:
%%motohawk_getcals [--no-flash] [--no-ram] [--no-ee] [--no-code] [--port=portname]
%%  --no-flash = don't get flash values
%%  --no-ram = don't get ram values
%%  --no-ee = don't get eeprom values
%%  --no-code = don't get code values
%%  --port=portname connect to module on MotoServer port portname

s=struct;

%F:\PROGRA~1\Woodward\MCS\MotoHawk\2010A_~1.35\Bin\motohawk_getcals.exe --no-ram --no-code 

%Opening session...
%Session Opened...
%Connecting online to get table revisions and softwareID.
%Connected OK.
%Getting Table revisions
%Got 8 Table revisions...
%TableRevision[0] = 9
%TableRevision[1] = 1
%TableRevision[2] = 1
%TableRevision[3] = 1
%TableRevision[4] = 1
%TableRevision[5] = 1
%TableRevision[6] = 1
%TableRevision[7] = 1
%Getting Software ID
%Got software ID of - ETC_003
%Getting Project ID
%Got project ID of - 6
%Opening Database...
%Database Opened...
%Opening dll...
s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.ProductID.value =  1.000000;
s.ProductID.units = 'ID';
s.ProductID.help = 'Customer''s ID used by the tools.';
s.ProductID.format = '4.2';
s.ProductID.group = 'System | System Config | Project Config';
s.ProductID.storage = 'FLASH';
s.ProductID.access = uint8(hex2dec('d5'));
s.ProductID.min = 0.000000;
s.ProductID.max = 4294967295.000000;
s.ProductID.gain = 1.000000;
s.ProductID.offset = 0.000000;
s.ProductID.exponent = 1.000000;
s.ProductID.type = 'uint32';

s.APP_Gain.value =  0.121951;
s.APP_Gain.units = '';
s.APP_Gain.help = '';
s.APP_Gain.format = '4.2';
s.APP_Gain.group = 'ETC|Foreground|Sensors';
s.APP_Gain.storage = 'FLASH';
s.APP_Gain.access = uint8(hex2dec('ff'));
s.APP_Gain.min = -100000000000000000.000000;
s.APP_Gain.max = 100000000000000000.000000;
s.APP_Gain.gain = 1.000000;
s.APP_Gain.offset = 0.000000;
s.APP_Gain.exponent = 1.000000;
s.APP_Gain.type = 'single';

s.APP_Offset.value =  -12.000000;
s.APP_Offset.units = '';
s.APP_Offset.help = '';
s.APP_Offset.format = '4.2';
s.APP_Offset.group = 'ETC|Foreground|Sensors';
s.APP_Offset.storage = 'FLASH';
s.APP_Offset.access = uint8(hex2dec('ff'));
s.APP_Offset.min = -100000000000000000.000000;
s.APP_Offset.max = 100000000000000000.000000;
s.APP_Offset.gain = 1.000000;
s.APP_Offset.offset = 0.000000;
s.APP_Offset.exponent = 1.000000;
s.APP_Offset.type = 'single';

s.ApplicationMonitorEnable.value =  0.000000;
s.ApplicationMonitorEnable.units = '';
s.ApplicationMonitorEnable.help = 'Enables runtime checking of stack, heap, CPU, and OS errors.  Stops the application on error.';
s.ApplicationMonitorEnable.format = '3.0';
s.ApplicationMonitorEnable.group = 'System | Debug | Application Monitor Config';
s.ApplicationMonitorEnable.storage = 'FLASH';
s.ApplicationMonitorEnable.access = uint8(hex2dec('f5'));
s.ApplicationMonitorEnable.min = 0.000000;
s.ApplicationMonitorEnable.max = 1.000000;
s.ApplicationMonitorEnable.gain = 1.000000;
s.ApplicationMonitorEnable.offset = 0.000000;
s.ApplicationMonitorEnable.exponent = 1.000000;
s.ApplicationMonitorEnable.type = 'uint8';
s.ApplicationMonitorEnable.enumeration = struct('name',{'Disabled','Enabled'},'value',{0,1});

s.ApplicationPausePoint.value =  3.000000;
s.ApplicationPausePoint.units = '';
s.ApplicationPausePoint.help = 'Selects the startup pause point, for debugging.  Can be moved forward to step through the initialization';
s.ApplicationPausePoint.format = '3.0';
s.ApplicationPausePoint.group = 'System | Debug | Application Monitor Config';
s.ApplicationPausePoint.storage = 'FLASH';
s.ApplicationPausePoint.access = uint8(hex2dec('f5'));
s.ApplicationPausePoint.min = 0.000000;
s.ApplicationPausePoint.max = 3.000000;
s.ApplicationPausePoint.gain = 1.000000;
s.ApplicationPausePoint.offset = 0.000000;
s.ApplicationPausePoint.exponent = 1.000000;
s.ApplicationPausePoint.type = 'uint8';
s.ApplicationPausePoint.enumeration = struct('name',{'Before Model Initialize','After Model Init - Before STARTUP Event','After STARTUP Event - Before Run','Run'},'value',{0,1,2,3});

s.BgndStackMargin.value =  256.000000;
s.BgndStackMargin.units = '';
s.BgndStackMargin.help = 'When the available stack space drops below this threshold, the application performs a safety stop';
s.BgndStackMargin.format = '5.0';
s.BgndStackMargin.group = 'System | Debug | Application Monitor Config';
s.BgndStackMargin.storage = 'FLASH';
s.BgndStackMargin.access = uint8(hex2dec('f5'));
s.BgndStackMargin.min = 0.000000;
s.BgndStackMargin.max = 2048.000000;
s.BgndStackMargin.gain = 1.000000;
s.BgndStackMargin.offset = 0.000000;
s.BgndStackMargin.exponent = 1.000000;
s.BgndStackMargin.type = 'uint16';

s.CPUMargin.value =  9.999223;
s.CPUMargin.units = '';
s.CPUMargin.help = 'When the available CPU idle time drops below this threshold, the application performs a safety stop';
s.CPUMargin.format = '3.0';
s.CPUMargin.group = 'System | Debug | Application Monitor Config';
s.CPUMargin.storage = 'FLASH';
s.CPUMargin.access = uint8(hex2dec('f5'));
s.CPUMargin.min = 0.000000;
s.CPUMargin.max = 100.000000;
s.CPUMargin.gain = 0.001526;
s.CPUMargin.offset = 0.000000;
s.CPUMargin.exponent = 1.000000;
s.CPUMargin.type = 'uint16';

s.ECUP_Threshold.value =  100.000000;
s.ECUP_Threshold.units = 'ADC_counts';
s.ECUP_Threshold.help = 'ADC voltage threshold above which ECU is considered powered';
s.ECUP_Threshold.format = '5.0';
s.ECUP_Threshold.group = 'System | Main Power Relay | Main Power Relay Config';
s.ECUP_Threshold.storage = 'FLASH';
s.ECUP_Threshold.access = uint8(hex2dec('ff'));
s.ECUP_Threshold.min = 0.000000;
s.ECUP_Threshold.max = 1023.000000;
s.ECUP_Threshold.gain = 1.000000;
s.ECUP_Threshold.offset = 0.000000;
s.ECUP_Threshold.exponent = 1.000000;
s.ECUP_Threshold.type = 'uint16';

s.FgndTimeStackMargin.value =  512.000000;
s.FgndTimeStackMargin.units = '';
s.FgndTimeStackMargin.help = 'When the available stack space drops below this threshold, the application performs a safety stop';
s.FgndTimeStackMargin.format = '5.0';
s.FgndTimeStackMargin.group = 'System | Debug | Application Monitor Config';
s.FgndTimeStackMargin.storage = 'FLASH';
s.FgndTimeStackMargin.access = uint8(hex2dec('f5'));
s.FgndTimeStackMargin.min = 0.000000;
s.FgndTimeStackMargin.max = 3072.000000;
s.FgndTimeStackMargin.gain = 1.000000;
s.FgndTimeStackMargin.offset = 0.000000;
s.FgndTimeStackMargin.exponent = 1.000000;
s.FgndTimeStackMargin.type = 'uint16';

s.Frequency.value =  1000.000000;
s.Frequency.units = 'Hz';
s.Frequency.help = 'ETC Frequency';
s.Frequency.format = '4.2';
s.Frequency.group = 'ETC|Foreground|Actuator';
s.Frequency.storage = 'FLASH';
s.Frequency.access = uint8(hex2dec('ff'));
s.Frequency.min = -100000000000000000.000000;
s.Frequency.max = 100000000000000000.000000;
s.Frequency.gain = 1.000000;
s.Frequency.offset = 0.000000;
s.Frequency.exponent = 1.000000;
s.Frequency.type = 'single';

s.HeapMargin.value =  256.000000;
s.HeapMargin.units = '';
s.HeapMargin.help = 'When the available heap drops below this threshold, the application performs a safety stop';
s.HeapMargin.format = '5.0';
s.HeapMargin.group = 'System | Debug | Application Monitor Config';
s.HeapMargin.storage = 'FLASH';
s.HeapMargin.access = uint8(hex2dec('f5'));
s.HeapMargin.min = 0.000000;
s.HeapMargin.max = 4096.000000;
s.HeapMargin.gain = 1.000000;
s.HeapMargin.offset = 0.000000;
s.HeapMargin.exponent = 1.000000;
s.HeapMargin.type = 'uint16';

s.IdleStackMargin.value =  256.000000;
s.IdleStackMargin.units = '';
s.IdleStackMargin.help = 'When the available stack space drops below this threshold, the application performs a safety stop';
s.IdleStackMargin.format = '5.0';
s.IdleStackMargin.group = 'System | Debug | Application Monitor Config';
s.IdleStackMargin.storage = 'FLASH';
s.IdleStackMargin.access = uint8(hex2dec('f5'));
s.IdleStackMargin.min = 0.000000;
s.IdleStackMargin.max = 1024.000000;
s.IdleStackMargin.gain = 1.000000;
s.IdleStackMargin.offset = 0.000000;
s.IdleStackMargin.exponent = 1.000000;
s.IdleStackMargin.type = 'uint16';

s.InterruptStackMargin.value =  128.000000;
s.InterruptStackMargin.units = '';
s.InterruptStackMargin.help = 'When the available stack space drops below this threshold, the application performs a safety stop';
s.InterruptStackMargin.format = '5.0';
s.InterruptStackMargin.group = 'System | Debug | Application Monitor Config';
s.InterruptStackMargin.storage = 'FLASH';
s.InterruptStackMargin.access = uint8(hex2dec('f5'));
s.InterruptStackMargin.min = 0.000000;
s.InterruptStackMargin.max = 1536.000000;
s.InterruptStackMargin.gain = 1.000000;
s.InterruptStackMargin.offset = 0.000000;
s.InterruptStackMargin.exponent = 1.000000;
s.InterruptStackMargin.type = 'uint16';

s.Ki.value =  10.000000;
s.Ki.units = '';
s.Ki.help = '';
s.Ki.format = '4.2';
s.Ki.group = 'ETC|Foreground|Controller';
s.Ki.storage = 'FLASH';
s.Ki.access = uint8(hex2dec('ff'));
s.Ki.min = -100000000000000000.000000;
s.Ki.max = 100000000000000000.000000;
s.Ki.gain = 1.000000;
s.Ki.offset = 0.000000;
s.Ki.exponent = 1.000000;
s.Ki.type = 'single';

s.Kp.value =  17.000000;
s.Kp.units = '';
s.Kp.help = '';
s.Kp.format = '4.2';
s.Kp.group = 'ETC|Foreground|Controller';
s.Kp.storage = 'FLASH';
s.Kp.access = uint8(hex2dec('ff'));
s.Kp.min = -100000000000000000.000000;
s.Kp.max = 100000000000000000.000000;
s.Kp.gain = 1.000000;
s.Kp.offset = 0.000000;
s.Kp.exponent = 1.000000;
s.Kp.type = 'single';

s.NonVolatileRestoreOnFirstStartup.value =  1.000000;
s.NonVolatileRestoreOnFirstStartup.units = '';
s.NonVolatileRestoreOnFirstStartup.help = 'Selects whether to restore from factory defaults the first time an application boots';
s.NonVolatileRestoreOnFirstStartup.format = '1.0';
s.NonVolatileRestoreOnFirstStartup.group = 'System | NonVolatile Storage | NonVolatile Storage Config';
s.NonVolatileRestoreOnFirstStartup.storage = 'FLASH';
s.NonVolatileRestoreOnFirstStartup.access = uint8(hex2dec('ff'));
s.NonVolatileRestoreOnFirstStartup.min = 0.000000;
s.NonVolatileRestoreOnFirstStartup.max = 1.000000;
s.NonVolatileRestoreOnFirstStartup.gain = 1.000000;
s.NonVolatileRestoreOnFirstStartup.offset = 0.000000;
s.NonVolatileRestoreOnFirstStartup.exponent = 1.000000;
s.NonVolatileRestoreOnFirstStartup.type = 'uint8';
s.NonVolatileRestoreOnFirstStartup.enumeration = struct('name',{'Load saved application values on next startup','Load factory defaults on next startup'},'value',{0,1});

s.NonVolatileRestoreOnStartup.value =  0.000000;
s.NonVolatileRestoreOnStartup.units = '';
s.NonVolatileRestoreOnStartup.help = 'Selects whether to restore from factory defaults on next startup';
s.NonVolatileRestoreOnStartup.format = '1.0';
s.NonVolatileRestoreOnStartup.group = 'System | NonVolatile Storage | NonVolatile Storage Config';
s.NonVolatileRestoreOnStartup.storage = 'FLASH';
s.NonVolatileRestoreOnStartup.access = uint8(hex2dec('ff'));
s.NonVolatileRestoreOnStartup.min = 0.000000;
s.NonVolatileRestoreOnStartup.max = 1.000000;
s.NonVolatileRestoreOnStartup.gain = 1.000000;
s.NonVolatileRestoreOnStartup.offset = 0.000000;
s.NonVolatileRestoreOnStartup.exponent = 1.000000;
s.NonVolatileRestoreOnStartup.type = 'uint8';
s.NonVolatileRestoreOnStartup.enumeration = struct('name',{'Load saved application values on next startup','Load factory defaults on next startup'},'value',{0,1});

s.TPS_Gain.value =  0.116144;
s.TPS_Gain.units = '';
s.TPS_Gain.help = '';
s.TPS_Gain.format = '4.2';
s.TPS_Gain.group = 'ETC|Foreground|Sensors';
s.TPS_Gain.storage = 'FLASH';
s.TPS_Gain.access = uint8(hex2dec('ff'));
s.TPS_Gain.min = -100000000000000000.000000;
s.TPS_Gain.max = 100000000000000000.000000;
s.TPS_Gain.gain = 1.000000;
s.TPS_Gain.offset = 0.000000;
s.TPS_Gain.exponent = 1.000000;
s.TPS_Gain.type = 'single';

s.TPS_Offset.value =  -11.270000;
s.TPS_Offset.units = '';
s.TPS_Offset.help = '';
s.TPS_Offset.format = '4.2';
s.TPS_Offset.group = 'ETC|Foreground|Sensors';
s.TPS_Offset.storage = 'FLASH';
s.TPS_Offset.access = uint8(hex2dec('ff'));
s.TPS_Offset.min = -100000000000000000.000000;
s.TPS_Offset.max = 100000000000000000.000000;
s.TPS_Offset.gain = 1.000000;
s.TPS_Offset.offset = 0.000000;
s.TPS_Offset.exponent = 1.000000;
s.TPS_Offset.type = 'single';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.project_id.value =  6.000000;
s.project_id.units = '';
s.project_id.help = 'This is the Platform ID used by the tools.';
s.project_id.format = '3.0';
s.project_id.group = 'System | System Config | Project Config';
s.project_id.storage = 'FLASH';
s.project_id.access = uint8(hex2dec('d5'));
s.project_id.min = 0.000000;
s.project_id.max = 255.000000;
s.project_id.gain = 1.000000;
s.project_id.offset = 0.000000;
s.project_id.exponent = 1.000000;
s.project_id.type = 'uint8';

s.CalIdTxt.value =  'ETC_003_001000';
s.CalIdTxt.units = '';
s.CalIdTxt.help = 'Calibration ID';
s.CalIdTxt.format = '';
s.CalIdTxt.group = 'System | Version';
s.CalIdTxt.storage = 'FLASH';
s.CalIdTxt.access = uint8(hex2dec('ff'));
s.CalIdTxt.min = -inf;
s.CalIdTxt.max =  inf;

s.FriendlyName.value =  'PCM';
s.FriendlyName.units = '';
s.FriendlyName.help = 'The device''s friendly name.';
s.FriendlyName.format = '';
s.FriendlyName.group = 'System | System Config';
s.FriendlyName.storage = 'FLASH';
s.FriendlyName.access = uint8(hex2dec('f5'));
s.FriendlyName.min = -inf;
s.FriendlyName.max =  inf;

s.PasswordTxt.value =  '';
s.PasswordTxt.units = '';
s.PasswordTxt.help = 'Password protection for this calibration';
s.PasswordTxt.format = '';
s.PasswordTxt.group = 'System | System Config';
s.PasswordTxt.storage = 'FLASH';
s.PasswordTxt.access = uint8(hex2dec('f5'));
s.PasswordTxt.min = -inf;
s.PasswordTxt.max =  inf;

